Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 20538 - ExecutionEngine.getDefault()
ExecutionEngine.getDefault()
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: Execution
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: David Strupl
issues@platform
: API
Depends on:
Blocks: 19443
  Show dependency treegraph
 
Reported: 2002-02-14 11:22 UTC by Jaroslav Tulach
Modified: 2008-12-22 20:46 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-02-14 11:22:48 UTC
Because of separation of openide into pieces the TopManger.getExecEng() should
be deprecated and replaced by ExecutionEngine.getDefault() that will use the
Lookup to initialize the engine. Also core should be modified to register its
engine in acceptable way - this reflects the separation of core to platform
parts.
Comment 1 Jaroslav Tulach 2002-02-14 11:23:49 UTC
Subtask of issue 19443 which requires API change.
Comment 2 David Strupl 2002-04-24 15:28:33 UTC
Done. Openide 2.16.
Comment 3 pzajac 2003-05-29 10:45:58 UTC
verified
Comment 4 Quality Engineering 2003-07-01 16:26:52 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo